Subject: bug#79395: closed (Re: bug#79395: 30.2; Search for a function inside a mini buffer)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 07 Sep 2025 06:54:02 +0000

Your bug report

#79395: 30.2; Search for a function inside a mini buffer

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
79395: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=79395
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#79395: 30.2; Search for a function inside a mini buffer
From: Juri Linkov <[email-masked]>
To: "Jakub T. Jankiewicz" <[email-masked]>
Cc: [email-masked]
Date: Sun, 07 Sep 2025 09:51:19 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

[CC'ing back to the bug tracker]

>> Sorry, help-related commands recently were excluded from C-s
>> by the request at https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64656
>> 
>> When you remove the symbol `help--symbol-completion-table`
>> from the function `minibuffer-default-add-completions`,
>> this will restore the functionality that you need.
>
> Thanks. For the future reference, it seems that adding this to .emacs file
> restores the old behaviour:
>
> (defun minibuffer-default-add-completions ()
>    "Return a list of all completions without the default value.
> This function is used to add all elements of the completion table to
> the end of the list of defaults just after the default value."
>   (let ((def minibuffer-default)
>         (all (all-completions ""
>                               minibuffer-completion-table
>                               minibuffer-completion-predicate)))
>     (if (listp def)
>         (append def all)
>       (cons def (delete def all)))))
>
> It's reverse patch from:
>
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64656#98

Until there are more requests it seems this report
could be closed now, done.

Subject: 30.2; Search for a function inside a mini buffer
From: "Jakub T. Jankiewicz" <[email-masked]>
To: [email-masked]
Date: Sat, 6 Sep 2025 17:36:35 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

You can search inside mini buffer, `M-x C-s`, to find a command to execute.
But it seems that you can't run `C-h f C-s` to search function documentation.
there are no list to search through. And the search says [Failing I-search] no
matter what you type.

There was related bug report in 2012:

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=12490

When the feature of searching inside mini buffer was removed (by accident I
assume). There was a workaround created back then. I'm not sure if the
workaround also fixed `C-h f` (most likely did, I would probably found this
sooner), but now it's not working the same as the workaround that I was
given. I also run in `emacs -Q` and `M-x C-s` is working there, but
`C-h f C-s` do not.

I also checked `C-h v C-s`, so I can assume that all docs have the same
issue.

Jakub

--
Jakub T. Jankiewicz, Senior Front-End Developer
https://jakub.jankiewicz.org
https://lips.js.org
https://koduj.org